Skip to main content
GET
Retrieve a workspace connection log

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

organization_id
string
required

Organization identifier.

Required string length: 24
Pattern: ^[0-9a-f]{24}$
connection_log_id
string<uuid>
required

Connection log identifier.

Required string length: 36
Pattern: ^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$

Query Parameters

fields
string

Response fields separated by commas.

Maximum string length: 2048

Response

Connection log retrieved successfully.

id
string<uuid>
required

Connection log identifier (FWS ADObjectVMConnectionInfo.Oid).

user
string | null

Account Name With Domain.

workspace_id
string | null

Portal workspace ID associated

Required string length: 24
Pattern: ^[0-9a-f]{24}$
start
string<date-time> | null

Start of connection in UTC.

end
string<date-time> | null

End of connection in UTC.

device_kind
enum<string> | null

Device Kind.

Available options:
virtual,
physical
machine_type
enum<string> | null

Machine / Virtualization Type.

Available options:
not_available,
session_host,
desktop_template_definition,
infrastructure_vm,
template_definition_surrogate,
device,
server,
vdi_appliance,
application_template_definition,
application_server,
end_point
endpoint
string | null

Name of the endpoint / client machine.

is_reconnect
boolean | null

Indicates if the connection is a reconnection.

subscription_broker
string | null

Subscription broker name.

pool_name
string | null

Pool name.

agent_delivery_group_name
string | null

Agent delivery group name.

broker
enum<string> | null

Session broker.

Available options:
no_broker_detected,
azure_virtual_desktop,
citrix_on-premises,
citrix_daas,
amazon_workspaces,
vmware_horizon,
parallels_ras,
windows_365,
rdsh,
uds
connection_id
number | null

Numeric connection identifier (not the path ID)

current_dc_name
string | null

Name of the current domain controller.

hypervisor
enum<string> | null

Hypervisor.

Available options:
unknown,
physical,
microsoft_azure,
microsoft_hyper-v,
vmware_vsphere,
amazon_web_services,
nutanix,
citrix_hypervisor,
oracle_cloud,
google_cloud
session_key
string | null

Session key.

session_type
enum<string> | null

Session type.

Available options:
vdi_desktop,
application,
sdi_desktop,
device
organization_id
string | null

Identifier of the associated organization.

Required string length: 24
Pattern: ^[0-9a-f]{24}$